import { HttpClient } from '@angular/common/http';
import { inject, Injectable } from '@angular/core';
import { Aktivnost } from '../modeli/aktivnost';

@Injectable({
  providedIn: 'root'
})
export class AktivnostiService {

  constructor() { }

  url = 'http://localhost:8080/aktivnosti';

  http = inject(HttpClient)

  aktuelneAktivnosti() {
    return this.http.get<Aktivnost[]>(`${this.url}/aktuelne`);
  }

  mojeAktivnosti(username: string) {
    return this.http.get<Aktivnost[]>(`${this.url}/moje/${username}`);
  }

  promenaStatusa(aktivnost: Aktivnost) {
    return this.http.post<boolean>(`${this.url}/promeniStatus`, aktivnost);
  }
}
